Subject: [AAA-WG]: RE: Diam CC Tariff time changes

From: <[email-masked]>
Date: Tue, 11 Nov 2003 18:24:56 +0200

Hi all,

I am keeping a new issue tracker for CCA, it can be found from:

http://danforsberg.info:8080/draft-ietf-aaa-diameter-cc/

I have added this issue as issue 1.

John

> -----Original Message-----
> From: Stura Marco (NET/Helsinki) 
> Sent: 06 November, 2003 16:45
> To: [email-masked]
> Cc: Harri Hakala (TU/LMF); Leena Mattila (TU/LMF); Koskinen Juha-Pekka
> (NET/Tampere); Loughney John (NRC/Helsinki); Alexander Benni
> (NET/Helsinki); Patrik Teppo (KA/EAB); [email-masked]
> Subject: Diam CC Tariff time changes
> 
> 
> Hi Chris,
> 
> I think we agreed on the tariff changes issue and principles.
> I had some thought on how to implement this support of tariff 
> time changes in the Diam CC, I would
> like to know your opinion whether you agree on the approach.
> 
> I guess we need tariff change at the G-S-U level since it may 
> not apply to all the services
> or rating groups. The server would grant quota according to 
> the worst case (i.e. the highest price) 
> and the client would report units used before and after the 
> tariff change. This would result in two U-S-U
> (eventually associated to the same Service-Identifier or 
> Rating-Group if applicable) in a CCR command, 
> one USU includes the units consumed before the tariff time 
> change and the other USU includes the
> units consumed after the tariff time change.
> This mechanism would be optional for client and server and 
> would not be used for time quotas since 
> the server is in full control of the time. A client not 
> supporting the tariff time change mechanism would
> terminate the service and send a CCR[Termination] to the 
> server with an appropriate Termination-Cause
> (e.g. DIAMETER_BAD_ANSWER) since this affect the cost of the service.
> Do we need to indicate to the server more precise reason 
> (e.g. Tariff-time not supported)?
> 
> Granted-Service-Unit ::= < AVP Header: TBD > 
>                                   [ Tariff-Time-Change ]
>                                   [ CC-Time ] 
>                                   [ CC-Money ] 
>                                   [ CC-Total-Octets ] 
>                                   [ CC-Input-Octets ] 
>                                   [ CC-Output-Octets ] 
>                                   [ CC-Service-Specific-Units ] 
>                                  *[ Service-Identifier ] 
>                                   [ Rating-Group ] 
>                 
> 
> Used-Service-Unit ::= < AVP Header: TBD > 
>                                   [ Tariff-Time-Usage ]
>                                   [ CC-Time ] 
>                                   [ CC-Money ] 
>                                   [ CC-Total-Octets ] 
>                                   [ CC-Input-Octets ] 
>                                   [ CC-Output-Octets ] 
>                                   [ CC-Service-Specific-Units ] 
>                                  *[ Service-Identifier ] 
>                                   [ Rating-Group ] 
> 
> Tariff-Time-Change (Time) includes the time in seconds since 
> January 1, 1900 00:00 UTC when
> the tariff will change.
> Tariff-Time-Usage (enumerated) may have value 
> "before-tariff-change" and "after-tariff-change".
> 
> I understood you volunteer to carry out a formal issue for 
> all the improvements you proposed, is my
> understanding correct? If yes, and if you agree with the 
> above described tariff time changes approach,
> are you OK to go ahead with a formal issue?
> 
> I'll approach you with a separate mail to discuss the triggers.
> 
> Regards
> Marco
>